Results 1 to 10 of 10

Thread: lightscribe - lacie RPM won't install

  1. #1

    Default lightscribe - lacie RPM won't install

    I'v looked for lightscribe software in yast with some utilities available. I was told that Lacie will work good.

    http://www.lacie.com/support/softwar...tscribe-linux/


    In previous versions of opensuse, I clicked on them and the yast-install prompt would show it. How do install these RPM files? Superuser mode. Similar to installing the multimedia package.

  2. #2
    Join Date
    Sep 2008
    Posts
    2,997

    Default Re: lightscribe - lacie RPM won't install

    there are 2 rpm's there
    you can download them right-click on them and chose install software
    or use zypper and install them directly (they will be downloaded in a temp folder)
    assuming you want LightScribe Labeler not the Host app just paste this in a terminal
    Code:
    sudo zypper in http://www.lacie.com/files/lacie-content/download/drivers/LaCie%20LightScribe%20Labeler%201.0%20Linux.rpm

  3. #3

    Default lightscribe - lacie RPM won't install

    Quote Originally Posted by I_A View Post
    there are 2 rpm's there
    you can download them right-click on them and chose install software
    or use zypper and install them directly (they will be downloaded in a temp folder)
    assuming you want LightScribe Labeler not the Host app just paste this in a terminal
    Code:
    sudo zypper in http://www.lacie.com/files/lacie-content/download/drivers/LaCie%20LightScribe%20Labeler%201.0%20Linux.rpm
    Code:
    sudo zypper in /home/username/LightScribe_Host_Software 1.8.15.1_Linux.rpm
    
    sudo zypper in /home/username/LaCie_LightScribe_Labeler_1.0_Linux.rpm
    These should work for a local files?


    Malcolmlewis: In /usr/bin which is just a softlink to /usr/4L AFAIK it's 32bit so you would need to install the 32bit libs if it's can't find libs.
    I install the host software then app. Right? No more libs needed.

    #1: LightScribe_Host_Software 1.8.15.1_Linux.rpm
    #2: LaCie_LightScribe_Labeler_1.0_Linux.rpm

  4. #4

    Default Re: lightscribe - lacie RPM won't install

    zypper in LightScribe_Host_Software_1.8.15.1_Linux.rpm
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...

    Problem: nothing provides libstdc++.so.5 needed by lightscribe-1.8.15.1-0.i386
    Solution 1: do not install lightscribe-1.8.15.1-0.i386
    Solution 2: break lightscribe-1.8.15.1-0.i386 by ignoring some of its dependencies

  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,311
    Blog Entries
    15

    Default Re: lightscribe - lacie RPM won't install

    Hi
    Grab the libstdc++33-32bit-3.3.3-33.1.x86_64.rpm from (follow link to repo);
    https://build.opensuse.org/package/b...SUSE_Leap_42.1

    Extract the rpm and dump the lib in /usr/local/lib/ then run ldconfig and see how that goes (you may need to break the install, option 2). The other option is to extract the lightscribe rpm (as your user in you home dir) and the dump the lib in the directory.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  6. #6

    Default Re: lightscribe - lacie RPM won't install

    Can I add these files to the rpm? So, it installs with the needed files.

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,311
    Blog Entries
    15

    Default Re: lightscribe - lacie RPM won't install

    Quote Originally Posted by lord_valarian View Post
    Can I add these files to the rpm? So, it installs with the needed files.
    Hi
    So that got it working? You would need to create your own rpm (or script) to add it...
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  8. #8

    Default Re: lightscribe - lacie RPM won't install

    Quote Originally Posted by malcolmlewis View Post
    Hi
    So that got it working? You would need to create your own rpm (or script) to add it...
    No, I was curious. I won't able to access it until later this week.

  9. #9

    Default Re: lightscribe - lacie RPM won't install

    I couldn't get it work without internet. So, I added no repo. I followed the instructions:

    open ark, copy files to /usr/local/lib/
    zypper --no-remote in 'LightScribe Host Software 1.8.15.1 Linux.rpm'
    host software installed successfully.

    zypper in 'LaCie LightScribe Labeler 1.0 Linux.rpm'
    +16 additional packages. Installed successfully.

    I want to make a new rpm for lightscribe host software that includes the missing libs.

    Also, I want another new rpm that puts entries for the app and docs in the start menu.

    Change the cfg so the app 'load image' defaults to apps image directory. /usr/4L/templates/ or copy them into the users home directory.

    Thanks.

  10. #10

    Default Re: lightscribe - lacie RPM won't install

    This very different topic. So, I'll start a new topic. This one is closed, thanks to all.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •